Sign in

Subtree (a partir de uma área)

GET https://{organization}.myguper.com/api/register/team/area/{id}/tree

Returns the area subtree rooted at the given area ID — the area itself, its child areas and so on recursively.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Path parameters

Name Type Description
id * string ID da área raiz da sub-árvore

Responses

{
    "id": 2, "parentId": 1, "name": "Marketing", "depth": 0,
    "children": [
        { "id": 4, "parentId": 2, "name": "SEO",         "depth": 1, "children": [] },
        { "id": 5, "parentId": 2, "name": "Performance", "depth": 1, "children": [] }
    ]
}
Copied to clipboard